# norootforbuild

%define addprov libtheora
%define name    libtheora0
%define addprovdec libtheoradec
%define namedec libtheoradec1
%define addprovenc libtheoraenc
%define nameenc libtheoraenc1

%define ver     1.0.final
%define rel     1

Name:           %{name}
# Packmandepends: libogg libvorbis
Summary:        ogg/theora video codec library
Summary(de):    ogg/theora Videocodec-Bibliothek
Version:        %{ver}
Release:        3.2
License:        BSD 3-Clause
Group:          Productivity/Multimedia/Other
Url:            http://www.xiph.org/

Source0:        libtheora-1.0.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc
BuildRequires:  libogg >= 1.1
BuildRequires:  libogg-devel >= 1.1
BuildRequires:  libvorbis >= 1.0.1
BuildRequires:  libvorbis-devel >= 1.0.1
BuildRequires:  SDL
BuildRequires:  SDL-devel
Obsoletes:      %{addprov} <= %{version}
Provides:       %{addprov} = %{version}-%{release}

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec.

%description -l de
Theora ist Xiph.Orgs erster frei veröffentlichter Vidoeocodec, dafür
geeignet um im Ogg-Projekt "Ogg Multimedia Streaming System" eingesetzt
zu werden. Theora wurde direkt von On2s VP3 Codec abgeleitet.


%package -n %{namedec}
Group:          System/Libraries
Summary:        libtheora %{namedec}
Provides:       %{addprovdec} = %{version}-%{release}

%description -n %{namedec}
libtheora %{namedec} shared library

%description -n %{namedec} -l de
libtheora %{namedec} Bibliothek


%package -n %{nameenc}
Group:          System/Libraries
Summary:        libtheora %{nameenc}
Provides:       %{addprovenc} = %{version}-%{release}

%description -n %{nameenc}
libtheora %{nameenc} shared library

%description -n %{nameenc} -l de
libtheora %{nameenc} Bibliothek


%package -n libtheora-utils
Summary:        ogg/theora utilities
Summary(de):    ogg/theora Programme
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{namedec} = %{version}-%{release}
Requires:       %{nameenc} = %{version}-%{release}

%description -n libtheora-utils
ogg/theora utilities

%description -n libtheora-utils -l de
ogg/theora Programme


%package -n libtheora-devel
Summary:        ogg/theora development package
Summary(de):    ogg/theora Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       %{namedec} = %{version}-%{release}
Requires:       %{nameenc} = %{version}-%{release}
Requires:       libogg-devel >= 1.1
Requires:       libvorbis-devel >= 1.0.1
Requires:       SDL-devel

%description -n libtheora-devel
ogg/theora development package

%description -n libtheora-devel -l de
ogg/theora Entwicklerpaket

%debug_package

%prep
%setup -q -n libtheora-1.0

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
ACLOCAL="aclocal -I m4" autoreconf -f -i
%{configure} --enable-shared \
    --enable-static \
    --with-pic
%{__make} %{?jobs:-j%{jobs}} docdir=%{_docdir}/%{name}

%install
%__make DESTDIR=%{buildroot} docdir=%{_docdir}/%{name} install
%{__install} -d ${RPM_BUILD_ROOT}%{_bindir}
# Use non-generic name here to prevent vague meaning:
%{__install} examples/.libs/dump_video ${RPM_BUILD_ROOT}%{_bindir}/dump_video_theora
%{__install} examples/.libs/encoder_example ${RPM_BUILD_ROOT}%{_bindir}/encoder_example_theora
%{__install} examples/.libs/player_example ${RPM_BUILD_ROOT}%{_bindir}/player_example_theora
# And provide symlinks to old names (<= openSUSE 10.2):
%if 0%{?suse_version} <= 1020
pushd ${RPM_BUILD_ROOT}%{_bindir} && %{__ln_s} dump_video_theora ${RPM_BUILD_ROOT}%{_bindir}/dump_video && popd
pushd ${RPM_BUILD_ROOT}%{_bindir} && %{__ln_s} encoder_example_theora ${RPM_BUILD_ROOT}%{_bindir}/encoder_example && popd
pushd ${RPM_BUILD_ROOT}%{_bindir} && %{__ln_s} player_example_theora ${RPM_BUILD_ROOT}%{_bindir}/player_example && popd
%endif
# Install remaining parts of documentation.
%{__cp} -a AUTHORS CHANGES COPYING LICENSE README ${RPM_BUILD_ROOT}%{_docdir}/%{name}
cd examples
%{__make} clean
%{__cp} -a . ${RPM_BUILD_ROOT}%{_docdir}/%{name}/examples
cd ${RPM_BUILD_ROOT}%{_docdir}/%{name}/examples
%{__rm} -rf .deps Makefile*

%check
%{__make} check

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n %{namedec} -p /sbin/ldconfig
%postun -n %{namedec} -p /sbin/ldconfig

%post -n %{nameenc} -p /sbin/ldconfig
%postun -n %{nameenc} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtheora.so.0*

%files -n %{namedec}
%defattr(-,root,root)
%{_libdir}/libtheoradec.so.1*

%files -n %{nameenc}
%defattr(-,root,root)
%{_libdir}/libtheoraenc.so.1*

%files -n libtheora-utils
%defattr(-, root, root)
%{_bindir}/*

%files -n libtheora-devel
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_includedir}/theora
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/theora*.pc

%changelog
* Sun Dec 28 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
